<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Selettori base</title>
    <style>
        /* 
            Questo è un commento CSS!
            Lo posso attivare con la seguente shorcut: "Ctrl + K + C" (comment)
            Lo posso disattivare con: "Ctrl + K + U" (uncomment) 
        */

        /* Tutti gli elementi <em> */
        em {
            color: red;
        }

        /* Tutti gli elementi <b> e <strong> */
        b,
        strong {
            color: blue;
        }

        /* Tutti gli elementi <strong> all'interno di un elemento <div> (a qualsiasi livello) */
        div strong {
            color: green;
        }

        /* Tutti gli elementi <strong> che sono figlio di un elemento <div> (quindi solo di primo livello) */
        div > strong {
            text-decoration: underline;
        }

        /* Tutti gli elementi con attributo id="identificatore" (solitamente dovrebbe essere solo uno!) */
        #identificatore1 {
            color: blueviolet;
            font-weight: bold;
        }

        /* Tutti gli elementi con attributo class="class1" */
        .class1 {
            color: lightcoral;
        }
    </style>
</head>

<body>
    <h1>Selettori base</h1>
    <p>
        Questo è il <em>primo</em> <span class="class1">paragrafo</span>
    </p>
    <p>
        Questo <em>invece</em> è il <strong>Secondo</strong> <span class="class1">paragrafo</span>
    </p>
    <p>
        Questo è il <b>Terzo</b> <span id="identificatore1">paragrafo</span>
    </p>
    <div>Questo è un div con all'interno uno <strong>strong</strong></div>
    <div>
        Questo è un div con all'interno uno <strong>strong</strong> e
        <p>un paragrafo che a sua volta ha all'interno uno <strong>strong</strong></p>
    </div>
</body>

</html>